//
//  AppDelegate.h
//  GrocerySync
//
//  Created by Jens Alfke on 9/28/11.
//  Copyright (c) 2011 Couchbase, Inc. All rights reserved.
//

#import <Cocoa/Cocoa.h>
#import <CouchbaseMac/Couchbase.h>

@class CouchDatabase, CouchReplication, DemoQuery;

@interface AppDelegate : NSObject <NSApplicationDelegate, CouchbaseDelegate>
{
    IBOutlet NSWindow* _window;
    IBOutlet NSTableView* _table;
    IBOutlet NSArrayController* _tableController;
    
    CouchDatabase* _database;
    DemoQuery* _query;
    CouchReplication *_pull, *_push;
    BOOL _glowing;
}

@property (retain) DemoQuery* query;

@end
